//microdev.gr
//Παναγιώτης Παπάζογλου
//Ιανουάριος 2023

int red=255, green=255, blue=255;
int bred=0, bgreen=0, bblue=0;
int xinit=200; int y=200; int d=150;

void setup()
{
  size(1000,900);
  surface.setTitle("Color Mixer - microdev.gr");
}

void draw()
{
background(bred,bgreen,bblue);

String msg="";
int dx=45, dy=30;

//RED circle
int x=xinit;
fill(red,0,0);
noStroke();
circle(x,y,d);
draw_buttons(x,y,d);

//RED fvalue
fill(255); textSize(30);
msg="red="+str(red);
text(msg,x-dx,y-d+35);

//GREEN circle
x=2*xinit;
fill(0,green,0);
noStroke();
circle(x,y,d);
//==>NEW
draw_buttons(x,y,d);


fill(255); textSize(30);
msg="green="+str(green);
text(msg,x-dx,y-d+35);

//BLUE circle
x=3*xinit;
fill(0,0,blue);
noStroke();
circle(x,y,d);
//==>NEW
draw_buttons(x,y,d);


fill(255); textSize(30);
msg="blue="+str(blue);
text(msg,x-dx,y-d+35);

//MIXED circle
x=4*xinit;
fill(red, green, blue);
noStroke();
circle(x,200,d);

}


void draw_buttons(int x, int y, int d)
{
draw_p(x+10,(y+d/2)+10,40,30,'+');
draw_p(x-50,(y+d/2)+10,40,30,'-');
}


void draw_p(int xstart, int ystart, int wd, int ht, char s)
{
fill(0); stroke(255);
rect(xstart, ystart, wd, ht);
fill(255); textSize(30);
text(s, xstart+10, ystart+30);
}


void mouseClicked()
{
  //+ RED
  if ((mouseX>=xinit+10) && (mouseX<=xinit+40))
    if ((mouseY>=(y+d/2)+10) && ((mouseY<=(y+d/2)+30)))
    {
    red=red+5;
    if (red>255) red=255;
    }
    
  //- RED
  if ((mouseX>=xinit-50) && (mouseX<=xinit-50+40))
    if ((mouseY>=(y+d/2)+10) && ((mouseY<=(y+d/2)+30)))
    {
    red=red-5;
    if (red<0) red=0;
    }
    
    
    //==>NEW
    
    //+ GREEN
  if ((mouseX>=(xinit*2)+10) && (mouseX<=(xinit*2)+40))
    if ((mouseY>=(y+d/2)+10) && ((mouseY<=(y+d/2)+30)))
    {
    green=green+5;
    if (green>255) green=255;
    }
    
  //- GREEN
  if ((mouseX>=(xinit*2)-50) && (mouseX<=(xinit*2)-50+40))
    if ((mouseY>=(y+d/2)+10) && ((mouseY<=(y+d/2)+30)))
    {
    green=green-5;
    if (green<0) green=0;
    }
    
      //==>NEW
      
       
    //+ BLUE
  if ((mouseX>=(xinit*3)+10) && (mouseX<=(xinit*3)+40))
    if ((mouseY>=(y+d/2)+10) && ((mouseY<=(y+d/2)+30)))
    {
    blue=blue+5;
    if (blue>255) blue=255;
    }
    
  //- BLUE
  if ((mouseX>=(xinit*3)-50) && (mouseX<=(xinit*3)-50+40))
    if ((mouseY>=(y+d/2)+10) && ((mouseY<=(y+d/2)+30)))
    {
    blue=blue-5;
    if (blue<0) blue=0;
    }
    
    
    
    
    
}
