//microdev.gr
//Παναγιώτης Παπάζογλου
//Ιανουάριος 2023


import processing.serial.*;
Serial myPort; 

//NEW
PImage img;

int a=0,b=0,c=0,s1=0,s2=0,s3=0;
int button=0;
int dist=100;


int red=255, green=255, blue=255;
int bred=0, bgreen=0, bblue=0;
int xinit=200; int y=200; int d=150;

void setup()
{
  size(1000,900);
  
  //NEW
  img=loadImage("ti.jpg");
  
  surface.setTitle("Color Mixer - microdev.gr");
  
  
  myPort = new Serial(this, "COM8", 9600);
}

void draw()
{
  

String inString=myPort.readStringUntil('\n');     
    if (inString!=null)                                 
    {
       String[] num=splitTokens(inString,".");        
       char ic=' ', ic2=' ';
       ic=num[0].charAt(0);
       if (num[0].length()>1) ic2=num[0].charAt(1);
       
       if ((ic<'0') || (ic>'9') || (ic2<'0') || (ic2>'9'))
         a=0;
       else

       a=Integer.parseInt(num[0]);
       b=Integer.parseInt(num[1]);
       c=Integer.parseInt(num[2]);
       s1=Integer.parseInt(num[3]);
       s2=Integer.parseInt(num[4]);
       s3=Integer.parseInt(num[5]);
       button=Integer.parseInt(num[6]);
       dist=Integer.parseInt(num[7].trim());

       if (button==1) 
     {
     red=a; green=b; blue=c;
     bred=s1; bgreen=s2; bblue=s3;  
     }
       else
     {
     bred=0; bgreen=0; bblue=0;
     }
     
      print("p1=",a,", "); 
       print("p2=",b,", ");
       print("p3=",c,", ");
       println("button=",button);
       print("s1=",s1,", "); 
       print("s2=",s2,", ");
       print("s3=",s3,", ");
       println("dist=",dist);
       println("----------------------------");   
    }

  
  
  
background(bred,bgreen,bblue);

String msg="";
int dx=45, dy=30;


int tx=xinit-50;

//RED circle
int x=xinit;
fill(red,0,0);
noStroke();
circle(x,y,d);
draw_buttons(x,y,d);

//RED fvalue
fill(255); textSize(30);
msg="red="+str(red);
text(msg,x-dx,y-d+35);


//RED bvalue
msg="Bred="+str(bred);
dy=dy+30;
text(msg,x-dx,y+d+dy);

//GREEN circle
x=2*xinit;
fill(0,green,0);
noStroke();
circle(x,y,d);

draw_buttons(x,y,d);


fill(255); textSize(30);
msg="green="+str(green);
text(msg,x-dx,y-d+35);


//GREEN bvalue
msg="Bgreen="+str(bgreen);
text(msg,x-dx,y+d+dy);



//BLUE circle
x=3*xinit;
fill(0,0,blue);
noStroke();
circle(x,y,d);

draw_buttons(x,y,d);


fill(255); textSize(30);
msg="blue="+str(blue);
text(msg,x-dx,y-d+35);


//BLUE bvalue
msg="Bblue="+str(bblue);
text(msg,x-dx,y+d+dy);


fill(red,green,blue);textSize(70);
text("Microdev.gr",tx,dy+y+2*d);
println("Microdev.gr");


//MIXED circle
x=4*xinit;
fill(red, green, blue);
noStroke();
circle(x,200,d);

}


void draw_buttons(int x, int y, int d)
{
draw_p(x+10,(y+d/2)+10,40,30,'+');
draw_p(x-50,(y+d/2)+10,40,30,'-');
draw_p(x+10,(y+d/2)+50,40,30,'S');
draw_p(x-50,(y+d/2)+50,40,30,'R');
}


void draw_p(int xstart, int ystart, int wd, int ht, char s)
{
fill(0); stroke(255);
rect(xstart, ystart, wd, ht);
fill(255); textSize(30);
text(s, xstart+10, ystart+30);
}


void mouseClicked()
{
  //+ RED
  if ((mouseX>=xinit+10) && (mouseX<=xinit+40))
    if ((mouseY>=(y+d/2)+10) && ((mouseY<=(y+d/2)+30)))
    {
    red=red+5;
    if (red>255) red=255;
    }
    
  //- RED
  if ((mouseX>=xinit-50) && (mouseX<=xinit-50+40))
    if ((mouseY>=(y+d/2)+10) && ((mouseY<=(y+d/2)+30)))
    {
    red=red-5;
    if (red<0) red=0;
    }
    
    
    
    //+ RED
  if ((mouseX>=xinit+10) && (mouseX<=xinit+40))
    if ((mouseY>=(y+d/2)+50) && ((mouseY<=(y+d/2)+70)))
      red=255;
    
  //- RED
  if ((mouseX>=xinit-50) && (mouseX<=xinit-50+40))
    if ((mouseY>=(y+d/2)+50) && ((mouseY<=(y+d/2)+70)))
      red=0;

    
    //+ GREEN
  if ((mouseX>=(xinit*2)+10) && (mouseX<=(xinit*2)+40))
    if ((mouseY>=(y+d/2)+10) && ((mouseY<=(y+d/2)+30)))
    {
    green=green+5;
    if (green>255) green=255;
    }
    
  //- GREEN
  if ((mouseX>=(xinit*2)-50) && (mouseX<=(xinit*2)-50+40))
    if ((mouseY>=(y+d/2)+10) && ((mouseY<=(y+d/2)+30)))
    {
    green=green-5;
    if (green<0) green=0;
    }
    


  //+ GREEN
  if ((mouseX>=(xinit*2)+10) && (mouseX<=(xinit*2)+40))
    if ((mouseY>=(y+d/2)+50) && ((mouseY<=(y+d/2)+70)))
   green=255;
    
  //- GREEN
  if ((mouseX>=(xinit*2)-50) && (mouseX<=(xinit*2)-50+40))
    if ((mouseY>=(y+d/2)+50) && ((mouseY<=(y+d/2)+70)))
    green=0;
    
      
       
    //+ BLUE
  if ((mouseX>=(xinit*3)+10) && (mouseX<=(xinit*3)+40))
    if ((mouseY>=(y+d/2)+10) && ((mouseY<=(y+d/2)+30)))
    {
    blue=blue+5;
    if (blue>255) blue=255;
    }
    
  //- BLUE
  if ((mouseX>=(xinit*3)-50) && (mouseX<=(xinit*3)-50+40))
    if ((mouseY>=(y+d/2)+10) && ((mouseY<=(y+d/2)+30)))
    {
    blue=blue-5;
    if (blue<0) blue=0;
    }
    

    
    
      //+ BLUE
  if ((mouseX>=(xinit*3)+10) && (mouseX<=(xinit*3)+40))
    if ((mouseY>=(y+d/2)+50) && ((mouseY<=(y+d/2)+70)))
    blue=255;
    
    
  //- BLUE
  if ((mouseX>=(xinit*3)-50) && (mouseX<=(xinit*3)-50+40))
    if ((mouseY>=(y+d/2)+50) && ((mouseY<=(y+d/2)+70)))
    blue=0;
    
    
    
}
